unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    RadioGroup1: TRadioGroup;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses Unit3;

{$R *.dfm}

procedure TForm2.Button1Click(Sender: TObject);
var punkt:integer;
begin
  punkt:=0; //jesli nic nie wybrano to punkt=0
  //za prawidlowa odpowiedz 1 punkt
  case Radiogroup1.ItemIndex of
  0: punkt:=0;
  1: punkt:=1;
  2,3: punkt:=0;
  end;
 // suma_punktow:=suma_punktow+punkt;
  //lub
  Form3.Label1.caption:=InttoStr(punkt);
  Form3.Show;
  Radiogroup1.ItemIndex:=-1;  //wykasowanie zaznaczenia
  Form2.hide;//Visible:=false;
end;

end.
